# block storage cluster

Block Storage v3

## block storage cluster list

List block storage clusters.

This command requires `--os-volume-api-version` 3.7 or greater.

    openstack block storage cluster list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--cluster <name>]
        [--binary <binary>]
        [--up]
        [--down]
        [--disabled]
        [--enabled]
        [--num-hosts <hosts>]
        [--num-down-hosts <hosts>]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--cluster <name>

  Filter by cluster name, without backend will list all clustered services from the same cluster.

--binary <binary>

  Cluster binary.

--up

  Filter by up status.

--down

  Filter by down status.

--disabled

  Filter by disabled status.

--enabled

  Filter by enabled status.

--num-hosts <hosts>

  Filter by number of hosts in the cluster.

--num-down-hosts <hosts>

  Filter by number of hosts that are down.

--long

  List additional fields in output

## block storage cluster set

Set block storage cluster properties.

This command requires `--os-volume-api-version` 3.7 or greater.

    openstack block storage cluster set
        [--binary <binary>]
        [--enable
        |
        --disable
        ]
        [--disable-reason <reason>]
        <cluster>

--binary <binary>

  Name of binary to filter by; defaults to ‘cinder-volume’ (optional)

--enable

  Enable cluster

--disable

  Disable cluster

--disable-reason <reason>

  Reason for disabling the cluster (should be used with –disable option)

cluster

  Name of block storage cluster to update (name only)

## block storage cluster show

Show detailed information for a block storage cluster.

This command requires `--os-volume-api-version` 3.7 or greater.

    openstack block storage cluster show [--binary <binary>] <cluster>

--binary <binary>

  Service binary.

cluster

  Name of block storage cluster.

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.